UIPackage
Menu

Framework

Change language

Boilerplate repo

Event List

blockproductivity

List of upcoming events in a SectionCard. Spell rows out inline with DataListItem — title + Clock date + optional status Badge per row.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/event-list.json
Named registry:npx shadcn-vue@latest add @uipkge/event-listInstalls to:app/components/blocks/

Variants

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
titlestringoptional
descriptionstringoptional
classstringoptional

Files installed (1)

  • app/components/blocks/EventList.vue0.4 kB
    <script setup lang="ts">
    import { SectionCard } from '@/components/ui/section-card'
    import { DataList } from '@/components/ui/data-list'
    
    defineProps<{
      title?: string
      description?: string
      class?: string
    }>()
    </script>
    
    <template>
      <SectionCard
        data-slot="event-list"
        :title="title ?? 'Upcoming Events'"
        :description="description"
        :class="$props.class"
      >
        <DataList>
          <slot />
        </DataList>
      </SectionCard>
    </template>
    

Raw manifest:https://uipkge.dev/r/vue/event-list.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Event List

blockproductivity

List of upcoming events in a SectionCard. Spell rows out inline with DataListItem — title + Clock date + optional status Badge per row.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/event-list.json
Named registry:npx shadcn@latest add @uipkge-react/event-listInstalls to:components/blocks/

Variants

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
titlestringoptional
descriptionstringoptional
classNamestringoptional
childrenReact.ReactNodeoptional

Files installed (1)

  • components/blocks/EventList.tsx0.6 kB
    'use client'
    
    import * as React from 'react'
    import { SectionCard } from '@/components/ui/section-card'
    import { DataList } from '@/components/ui/data-list'
    
    export interface EventListProps {
      title?: string
      description?: string
      className?: string
      children?: React.ReactNode
    }
    
    export function EventList({ title, description, className, children }: EventListProps) {
      return (
        <SectionCard
          data-slot="event-list"
          title={title ?? 'Upcoming Events'}
          description={description}
          className={className}
        >
          <DataList>{children}</DataList>
        </SectionCard>
      )
    }
    

Raw manifest:https://uipkge.dev/r/react/event-list.json